"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index_esm = require("../../../@vxe-ui/core/es/index.esm.js");
const watermark = require("./src/watermark.js");
const index = require("../dynamics/index.js");
const VxeWatermark = Object.assign({}, watermark.default, {
  install(app) {
    app.component(watermark.default.name, watermark.default);
  }
});
index.dynamicApp.use(VxeWatermark);
index_esm.VxeUI.component(watermark.default);
const WatermarkController = {
  load(options) {
    index.checkDynamic();
    index.dynamicStore.globalWatermark = Object.assign({}, options);
    return Promise.resolve();
  },
  clear() {
    index.dynamicStore.globalWatermark = null;
    return Promise.resolve();
  }
};
index_esm.VxeUI.watermark = WatermarkController;
const Watermark = VxeWatermark;
exports.VxeWatermark = VxeWatermark;
exports.Watermark = Watermark;
exports.WatermarkController = WatermarkController;
exports.default = VxeWatermark;
